curl --request POST \
--url https://{host}/api/sharesame/generate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"query": "build me a CRM like Salesforce but call it ForceSale",
"user_id": "acct_123",
"project_id": "project_123"
}
'
{
"status": "building",
"job_id": "<string>",
"error": "<string>",
"source": "",
"search_score": 123,
"sandbox_session": "<string>",
"cached_files": [
{
"path": "<string>",
"content": "<string>",
"language": "text"
}
]
}{
"status": "building",
"job_id": "<string>",
"error": "<string>",
"source": "",
"search_score": 123,
"sandbox_session": "<string>",
"cached_files": [
{
"path": "<string>",
"content": "<string>",
"language": "text"
}
]
}Endpoints
Start a job
Send a plain-English prompt and optional files. ShareSame returns a job ID immediately and completes the work in the background.
POST
/
generate
curl --request POST \
--url https://{host}/api/sharesame/generate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"query": "build me a CRM like Salesforce but call it ForceSale",
"user_id": "acct_123",
"project_id": "project_123"
}
'
{
"status": "building",
"job_id": "<string>",
"error": "<string>",
"source": "",
"search_score": 123,
"sandbox_session": "<string>",
"cached_files": [
{
"path": "<string>",
"content": "<string>",
"language": "text"
}
]
}{
"status": "building",
"job_id": "<string>",
"error": "<string>",
"source": "",
"search_score": 123,
"sandbox_session": "<string>",
"cached_files": [
{
"path": "<string>",
"content": "<string>",
"language": "text"
}
]
}Authorizations
Body
application/json
Was this page helpful?